<?php
include "../../inc/inc.koneksi.php";
session_start();

$table	="faktur_pb";

$kode	  		=$_POST[kode];
$tanggal  	=$_POST[tanggal];
$kodesup  	=$_POST[kodesup];
$namasup  =$_POST[namasup];
$nomorfk  	=$_POST[nomorfk];
$tanggaljt	=$_POST[tanggaljt];
$total	  		=$_POST[total];
$potong 		=$_POST[potong];
$bayar	  	=$_POST[bayar];
$kurang	  	=$_POST[kurang];
$user	  		=$_SESSION[namauser];

$sql	= mysql_query("SELECT * FROM interface");
$r 				= mysql_fetch_assoc($sql);
$kas 			= $r[kas];
$persed 	= $r[persed];
$utdg 			= $r[hutang_dg];
$potbeli		= $r[pot_beli];
$labapb 		= $r[laba_pb];
$labrug 		= $r[laba_rugi];
$nosubps	= substr($persed,0,3);
$nosubpb	= substr($potbeli,0,3);
$nosubut	= substr($utdg,0,3);
$noutdg 		= $utdg.$kodesup;
$nosubks	= substr($kas,0,3);
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$sql = mysql_query("SELECT kode_pb,no_urut FROM $table WHERE kode_pb='$kode' AND posting='' GROUP BY kode_pb");
$row = mysql_num_rows($sql);
if($row>0){
	$r_data=mysql_fetch_assoc($sql);
	$nourut=$r_data[no_urut];

	mysql_query("UPDATE $table SET potongan='$potong',bayar='$bayar',kurang='$kurang' WHERE kode_pb='$kode' AND no_urut='$nourut' AND posting=''");

	$sql = mysql_query("SELECT * FROM $table WHERE kode_pb='$kode' AND posting='' ORDER BY kode_pb");
	while ($r=mysql_fetch_array($sql)){
		$nourut=$r[no_urut];
		$kodest=$r[kode_st];
		$jmlunit=$r[jml_unit];
		$hgbeli=$r[hg_beli];
		$jumlah=$r[jumlah];
	
		$sql1 	= mysql_query("SELECT * FROM stock WHERE kode_st='$kodest'");
		$r1		= mysql_fetch_assoc($sql1);
		$nilstok		= $r1[jml_stok]*$r1[hg_beli];
		$stok_akhir= $r1[jml_stok]+$jmlunit;
		
		if($stok_akhir==0) $hb_rata=$hgbeli;
		else $hb_rata=($nilstok+$jumlah)/$stok_akhir;
	
		mysql_query("UPDATE stock SET jml_stok='$stok_akhir',hg_beli='$hb_rata',hb_akhir='$hgbeli' WHERE kode_st='$kodest'");
		mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,masuk,harga,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$nourut','$kodest','Pembelian dari $namasup','$jmlunit','$hgbeli','$user')");
	}
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$total WHERE noakun='$persed'");

	if(!$potong==0){
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$potong WHERE noakun='$potbeli'");
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$potong WHERE noakun='$labapb'");
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$potong WHERE noakun='$labrug'");
	}

	if(!$bayar==0) mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$bayar WHERE noakun='$kas'");

	if(!$kurang==0){
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$kurang WHERE noakun='$utdg'");
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$kurang WHERE noakun='$noutdg'");
		mysql_query("INSERT INTO hutang (kode_sp,nama,nofak,tanggal,jumlah,tanggal_jt) VALUES('$kodesup','$namasup','$nomorfk','$tanggal','$kurang','$tanggaljt')");
	}

	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$persed','$nosubps','$total','Beli dari $namasup','$user')");

	if(!$potong==0){
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$potbeli','$nosubpb','$potong','Potongan pembelian $namasup','$user')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$labapb','$nosublpb','$potong','Potongan pembelian $namasup','$user')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$labrug','$nosublr','$potong','Potongan pembelian $namasup','$user')");
	}

	if(!$bayar==0){
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$kas','$nosubks','$bayar','Pembelian ke $namasup','$user')");
	}

	if(!$kurang==0){
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','PBL','$tanggal','$nomorfk','$utdg','$nosubut','$noutdg','$kurang','Kurang bayar ke $namasup','$user')");
	}
	mysql_query("UPDATE faktur_pb SET posting='P' WHERE kode_pb='$kode'");
	echo "Data pembelian $kode sukses disimpan.";
}
?>